--- title: "Update a cloud account" slug: "update-a-cloud-account" tags: ["Product Usage", "vIPS 10.1.10"] updated: 2026-09-11T20:35:31Z published: 2026-09-11T20:35:31Z canonical: "docs.trellix.com/update-a-cloud-account" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update a cloud account This URL updates a cloud account based on the cloud account Id. The parameters that can be updated for a cloud account are specified in the request payload. ## Resource URL PUT /controller//account/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | controller Id | Controller ID. You can use the GET /controller method to get the details of all the Controllers. | number | Yes | | cloud account Id | ID of the cloud account which has to be updated. The ID is allocated by the Manager for the cloud account associated with the Controller. | number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | name | Name of cloud account | string | Yes | | description | Description of the cloud account | string | Yes | | cloudType | Type of cloud account. | string | Yes | | authType | Type of authentication. The values can be key_based or no_key. If you are using key_based authentication, you should provide authentication details. If you are using no_key authentication, you need not provide the authentication details. Authentication is done through Dynamic Groups. | string | Yes | | valid | Not applicable | string | Not applicable | | authenticator | Authentication details | object | No | Details of authenticator: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | tenantId | Tenant ID | string | No | | userId | User ID | string | No | | privateKey | Private key used for authentication | string | No | | passPhrase | Pass phrase used for authentication | string | No | | fingerprint | Fingerprint used for authentication | string | No | ## Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | success | Indicates if the cloud account update is successful. Value is set to true if the update is successful. Value is set to false if the update is not successful. | string | | msg | Not applicable | Not applicable | | errMsg | Not applicable | Not applicable | | domainName | Not applicable | Not applicable | | data | Not applicable | Not applicable | ## Example **Request** PUT [https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/controller/7/account/2](https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/controller/7/account/2) **Payload** ``` { "name":"account2", "description":"sample description", "cloudType":{"name":"aws"}, "authType":{"code":"key_based"}, "valid":true, "authenticator":{ "tenantId":"tenant1", "userId":"user1", "privateKey":"pkd", "passPhrase":"pps", "fingerPrint":"ddddfd:56:65:96:22:d4:c7:5c:17:f3:65:7d:b5:43:91:3a" } } ``` **Response** ``` {    "success": true,    "msg": null,    "errMsg": null,    "domainName": null,    "data": null } ```